#
# spec file for package tgs2png
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#
%global commit      461b740987101972cce65d1d5c996f455e4891ee
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commit_date 20220124
%global gitrel      .%{commit_date}.git%{shortcommit}

Name:           tgs2png
Version:        0.1.0%{gitrel}
Release:        0
Summary:        Convert Telegram's animated stickers in TGS format into series of PNG images
License:        GPL-3.0
URL:            https://github.com/zevlg/%{name}
Source:         %{url}/archive/refs/heads/master.tar.gz
BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  rlottie-devel
BuildRequires:  libpng-devel

%description
%{summary}.

%prep
%autosetup -n %{name}-master

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
